NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::OffsetCurveBuilder Class Reference

Represents a NXOpen::Features::OffsetCurve builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateOffsetCurveBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::OffsetCurveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  TrimOption { TrimOptionNone, TrimOptionExtendTangents, TrimOptionFillet }
 Represents the Offset Curve trim option. More...
 
enum  Types { TypesDistance, TypesDraft, TypesLawControl, TypesAxial3d }
 Represents the Offset Curve types. More...
 

Public Member Functions

NXOpen::DirectionAxialOffsetDirection ()
 Returns the direction
Created in NX5.0.0. More...
 
void ComputeOffsetDirection (NXOpen::Vector3d *offsetDirection, NXOpen::Point3d *startPoint)
 To compute offset direction. More...
 
void ComputeOffsetDirection (NXOpen::ICurve *seedEntity, const NXOpen::Point3d &seedPoint, NXOpen::Vector3d *offsetDirection, NXOpen::Point3d *startPoint)
 To compute offset direction on the seed entity at the given seed point. More...
 
NXOpen::GeometricUtilities::CurveFitDataCurveFitData ()
 Returns the curve fit settings
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::CurveFitOptionsCurveFitMethod ()
 Returns the curve fit method
Created in NX5.0.0. More...
 
NXOpen::SectionCurvesToOffset ()
 Returns the curves to offset
Created in NX5.0.0. More...
 
NXOpen::ExpressionDraftAngle ()
 Returns the angle
Created in NX5.0.0. More...
 
NXOpen::ExpressionDraftHeight ()
 Returns the height
Created in NX5.0.0. More...
 
double ExtendFactor ()
 Returns the extend factor
More...
 
bool GroupObjects ()
 Returns the group objects
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::CurveOptionsInputCurvesOptions ()
 Returns the input curves
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderLawControl ()
 Returns the Law builder
Created in NX5.0.0. More...
 
int NumberOfCopies ()
 Returns the number of copies
Created in NX5.0.0. More...
 
NXOpen::ExpressionOffset3dDistance ()
 Returns the offset3d
Created in NX5.0.0. More...
 
NXOpen::ExpressionOffsetDistance ()
 Returns the distance
Created in NX5.0.0. More...
 
NXOpen::PointPointOnOffsetPlane ()
 Returns the point on offset plane
Created in NX5.0.0. More...
 
bool ReverseDirection ()
 Returns the reverse direction
Created in NX5.0.0. More...
 
bool RoughOffset ()
 Returns the rough offset
Created in NX5.0.0. More...
 
void SetAxialOffsetDirection (NXOpen::Direction *direction)
 Sets the direction
Created in NX5.0.0. More...
 
void SetExtendFactor (double extendFactor)
 Sets the extend factor
More...
 
void SetGroupObjects (bool groupObjects)
 Sets the group objects
Created in NX5.0.0. More...
 
void SetNumberOfCopies (int numberOfCopies)
 Sets the number of copies
Created in NX5.0.0. More...
 
void SetPointOnOffsetPlane (NXOpen::Point *pointOnOffsetPlane)
 Sets the point on offset plane
Created in NX5.0.0. More...
 
void SetReverseDirection (bool reverseDirection)
 Sets the reverse direction
Created in NX5.0.0. More...
 
void SetRoughOffset (bool roughOffset)
 Sets the rough offset
Created in NX5.0.0. More...
 
void SetTolerance (double tolerance)
 Sets the distance tolerance
Created in NX5.0.0. More...
 
void SetTrimMethod (NXOpen::Features::OffsetCurveBuilder::TrimOption trim)
 Sets the trim
Created in NX5.0.0. More...
 
void SetType (NXOpen::Features::OffsetCurveBuilder::Types type)
 Sets the offset type
Created in NX5.0.0. More...
 
double Tolerance ()
 Returns the distance tolerance
Created in NX5.0.0. More...
 
NXOpen::Features::OffsetCurveBuilder::TrimOption TrimMethod ()
 Returns the trim
Created in NX5.0.0. More...
 
NXOpen::Features::OffsetCurveBuilder::Types Type ()
 Returns the offset type
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::OffsetCurve builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateOffsetCurveBuilder
Default values.

Property Value

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

CurveFitMethod.FitOption

Cubic

CurveFitMethod.MaximumDegree

7

CurveFitMethod.MaximumSegments

1

DraftAngle.Value

0.0

DraftHeight.Value

5.0 (millimeters part), 0.25 (inches part)

ExtendFactor (deprecated)

1.0

GroupObjects

false

InputCurvesOptions.Associative

true

LawControl.EndValue.Value

5.0 (millimeters part), 0.25 (inches part)

LawControl.Function

ft

LawControl.LawType

Constant

LawControl.Parameter

t

LawControl.StartValue.Value

5.0 (millimeters part), 0.25 (inches part)

LawControl.Value.Value

5.0 (millimeters part), 0.25 (inches part)

NumberOfCopies

1

Offset3dDistance.Value

5.0 (millimeters part), 0.25 (inches part)

OffsetDistance.Value

5.0 (millimeters part), 0.25 (inches part)

RoughOffset

false

TrimMethod

ExtendTangents

Type

Distance


Created in NX5.0.0.

Member Enumeration Documentation

Represents the Offset Curve trim option.

Enumerator
TrimOptionNone 

None.

TrimOptionExtendTangents 

Extend Tangents.

TrimOptionFillet 

Fillet.

Represents the Offset Curve types.

Enumerator
TypesDistance 

Distance.

TypesDraft 

Draft.

TypesLawControl 

Law Control.

TypesAxial3d 

3D Axial

Member Function Documentation

NXOpen::Direction* NXOpen::Features::OffsetCurveBuilder::AxialOffsetDirection ( )

Returns the direction
Created in NX5.0.0.



License requirements : None

void NXOpen::Features::OffsetCurveBuilder::ComputeOffsetDirection ( NXOpen::Vector3d offsetDirection,
NXOpen::Point3d startPoint 
)

To compute offset direction.

To compute offset direction whenever it is required or needs to be updated.
Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
offsetDirectiondirection of offset
startPointstart point of direction
void NXOpen::Features::OffsetCurveBuilder::ComputeOffsetDirection ( NXOpen::ICurve seedEntity,
const NXOpen::Point3d seedPoint,
NXOpen::Vector3d offsetDirection,
NXOpen::Point3d startPoint 
)

To compute offset direction on the seed entity at the given seed point.


Created in NX8.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
seedEntityseed entity that is part of section of offset curve builder
seedPointseed point on the seed entity at which to compute the offset direction
offsetDirectiondirection of offset at seed point on seed entity
startPointstart point of entities in section of offset curve
NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::OffsetCurveBuilder::CurveFitData ( )

Returns the curve fit settings
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::CurveFitOptions* NXOpen::Features::OffsetCurveBuilder::CurveFitMethod ( )

Returns the curve fit method
Created in NX5.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::OffsetCurveBuilder::CurvesToOffset ( )

Returns the curves to offset
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::OffsetCurveBuilder::DraftAngle ( )

Returns the angle
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::OffsetCurveBuilder::DraftHeight ( )

Returns the height
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::OffsetCurveBuilder::ExtendFactor ( )

Returns the extend factor

Deprecated:
Deprecated in NX11.0.0.

Extend factor functionality is no longer supported.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Features::OffsetCurveBuilder::GroupObjects ( )

Returns the group objects
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::CurveOptions* NXOpen::Features::OffsetCurveBuilder::InputCurvesOptions ( )

Returns the input curves
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::OffsetCurveBuilder::LawControl ( )

Returns the Law builder
Created in NX5.0.0.



License requirements : None

int NXOpen::Features::OffsetCurveBuilder::NumberOfCopies ( )

Returns the number of copies
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::OffsetCurveBuilder::Offset3dDistance ( )

Returns the offset3d
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::OffsetCurveBuilder::OffsetDistance ( )

Returns the distance
Created in NX5.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::OffsetCurveBuilder::PointOnOffsetPlane ( )

Returns the point on offset plane
Created in NX5.0.0.



License requirements : None

bool NXOpen::Features::OffsetCurveBuilder::ReverseDirection ( )

Returns the reverse direction
Created in NX5.0.0.



License requirements : None

bool NXOpen::Features::OffsetCurveBuilder::RoughOffset ( )

Returns the rough offset
Created in NX5.0.0.



License requirements : None

void NXOpen::Features::OffsetCurveBuilder::SetAxialOffsetDirection ( NXOpen::Direction direction)

Sets the direction
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
directiondirection
void NXOpen::Features::OffsetCurveBuilder::SetExtendFactor ( double  extendFactor)

Sets the extend factor

Deprecated:
Deprecated in NX11.0.0.

Extend factor functionality is no longer supported.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
extendFactorextendfactor
void NXOpen::Features::OffsetCurveBuilder::SetGroupObjects ( bool  groupObjects)

Sets the group objects
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
groupObjectsgroupobjects
void NXOpen::Features::OffsetCurveBuilder::SetNumberOfCopies ( int  numberOfCopies)

Sets the number of copies
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
numberOfCopiesnumberofcopies
void NXOpen::Features::OffsetCurveBuilder::SetPointOnOffsetPlane ( NXOpen::Point pointOnOffsetPlane)

Sets the point on offset plane
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
pointOnOffsetPlanepointonoffsetplane
void NXOpen::Features::OffsetCurveBuilder::SetReverseDirection ( bool  reverseDirection)

Sets the reverse direction
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
reverseDirectionreversedirection
void NXOpen::Features::OffsetCurveBuilder::SetRoughOffset ( bool  roughOffset)

Sets the rough offset
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
roughOffsetroughoffset
void NXOpen::Features::OffsetCurveBuilder::SetTolerance ( double  tolerance)

Sets the distance tolerance
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
tolerancetolerance
void NXOpen::Features::OffsetCurveBuilder::SetTrimMethod ( NXOpen::Features::OffsetCurveBuilder::TrimOption  trim)

Sets the trim
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
trimtrim
void NXOpen::Features::OffsetCurveBuilder::SetType ( NXOpen::Features::OffsetCurveBuilder::Types  type)

Sets the offset type
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
typetype
double NXOpen::Features::OffsetCurveBuilder::Tolerance ( )

Returns the distance tolerance
Created in NX5.0.0.



License requirements : None

NXOpen::Features::OffsetCurveBuilder::TrimOption NXOpen::Features::OffsetCurveBuilder::TrimMethod ( )

Returns the trim
Created in NX5.0.0.



License requirements : None

NXOpen::Features::OffsetCurveBuilder::Types NXOpen::Features::OffsetCurveBuilder::Type ( )

Returns the offset type
Created in NX5.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.